PostsPost comments
List Post Comments
Get a list of replies (comments) for a specific post.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/posts/{post_id}/replies
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
account_id*
stringThe unique identifier for the connected account.
post_id*
stringThe unique identifier for the post to fetch replies for.
To get replies to a specific comment, simply call this exact same endpoint but provide the comment_id in place of the post_id.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies"
headers = {"x-api-key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/replies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.Status)
}Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"posts": [
{
"id": "post_id",
"accountId": "account_id",
"content": "Sample reply content...",
"fypFlags": 0,
"inReplyTo": "parent_post_id",
"inReplyToRoot": "root_post_id",
"replyPermissionFlags": 0,
"createdAt": 1779719518,
"attachments": [],
"likeCount": 0,
"replyCount": 1,
"mediaLikeCount": 0,
"totalTipAmount": 0,
"attachmentTipAmount": 0,
"accountMentions": []
}
],
"aggregatedPosts": [],
"accountMediaBundles": [],
"accountMedia": [],
"accounts": [
{
"id": "account_id",
"username": "creator_handle",
"displayName": "Creator Name"
}
],
"tips": [],
"tipGoals": [],
"stories": [],
"polls": []
}
}
},
"timestamp": "2026-05-25T17:04:04.456Z"
}